Package ghidra.app.events

# Class AbstractHighlightPluginEvent

java.lang.Object
ghidra.framework.plugintool.PluginEvent
ghidra.app.events.AbstractHighlightPluginEvent

Direct Known Subclasses:
  `ProgramHighlightPluginEvent`

public abstract class AbstractHighlightPluginEvent extends PluginEvent
Plugin event generated when the highlight in a program changes.

- ## Field Summary

  ### Fields inherited from class ghidra.framework.plugintool.PluginEvent

  `EXTERNAL_SOURCE_NAME`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AbstractHighlightPluginEvent(String sourceName, String eventName, ProgramSelection highlight, Program program)`
  Construct a new event.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected String`
  `getDetails()`
  `ProgramSelection`
  `getHighlight()`
  Get the program highlight contained in this event.
  `Program`
  `getProgram()`
  Get the program that the highlight refers to.

  ### Methods inherited from class ghidra.framework.plugintool.PluginEvent

  `getEventName, getSourceName, getToolEventName, getTriggerEvent, isToolEvent, lookupToolEventName, setSourceName, setTriggerEvent, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### AbstractHighlightPluginEvent

    public AbstractHighlightPluginEvent(String sourceName, String eventName, ProgramSelection highlight, Program program)
    Construct a new event.
    Parameters:
      `sourceName` - the name of the plugin that generated this event
      `eventName` - the name of the event type
      `highlight` - the program highlight
      `program` - the program associated with this event

- ## Method Details

  - ### getHighlight

    public ProgramSelection getHighlight()
    Get the program highlight contained in this event.
    Returns:
      the program highlight in this event.

  - ### getProgram

    public Program getProgram()
    Get the program that the highlight refers to.
    Returns:
      the program

  - ### getDetails

    protected String getDetails()
    Overrides:
      `getDetails` in class `PluginEvent`